Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.dynamictree.model.impl
Class DynamicContainmentTreeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecp.view.spi.model.impl.VElementImpl
                      org.eclipse.emf.ecp.view.spi.categorization.model.impl.VCategorizableElementImpl
                          org.eclipse.emf.ecp.view.spi.categorization.model.impl.VAbstractCategorizationImpl
                              org.eclipse.emf.ecp.view.spi.categorization.model.impl.VCategoryImpl
                                  org.eclipse.emf.ecp.view.dynamictree.model.impl.DynamicContainmentTreeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, DynamicContainmentTree, VAbstractCategorization, VCategorizableElement, VCategory, VElement

    public class DynamicContainmentTreeImpl

extends VCategoryImpl
implements DynamicContainmentTree

An implementation of the model object 'Dynamic Containment Tree'.

The following features are implemented:

- `Domain Model`
- `Child Reference`
- `Path To Root`
- `Child Composite`
- `Items`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.ecore.EReference` | `basicGetChildReference()`
`org.eclipse.emf.ecore.EObject` | `basicGetDomainModel()`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetChildComposite(VContainedElement newChildComposite, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, Object newValue)`
`void` | `eUnset(int featureID)`
`VContainedElement` | `getChildComposite()`
`org.eclipse.emf.ecore.EReference` | `getChildReference()`
`org.eclipse.emf.ecore.EObject` | `getDomainModel()`
`org.eclipse.emf.common.util.EList<DynamicContainmentItem>` | `getItems()`
`org.eclipse.emf.ecore.EObject` | `getLabelObject()` Returns the value of the 'Label Object' reference.
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EReference>` | `getPathToRoot()`
`void` | `setChildComposite(VContainedElement newChildComposite)`
`void` | `setChildReference(org.eclipse.emf.ecore.EReference newChildReference)`
`void` | `setDomainModel(org.eclipse.emf.ecore.EObject newDomainModel)`

Methods inherited from class org.eclipse.emf.ecp.view.spi.categorization.model.impl.VCategoryImpl
`basicSetComposite, getComposite, setComposite`

Methods inherited from class org.eclipse.emf.ecp.view.spi.categorization.model.impl.VAbstractCategorizationImpl
`getActions, getECPActions, setECPActions`

Methods inherited from class org.eclipse.emf.ecp.view.spi.model.impl.VElementImpl
`basicSetDiagnostic, getAttachments, getDiagnostic, getLabel, getName, isEnabled, isReadonly, isVisible, setDiagnostic, setEnabled, setLabel, setName, setReadonly, setVisible, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.categorization.model.VCategory
`getComposite, setComposite`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.categorization.model.VAbstractCategorization
`getActions`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.categorization.model.VCategorizableElement
`getECPActions, setECPActions`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VElement
`getAttachments, getDiagnostic, getLabel, getName, isEnabled, isReadonly, isVisible, setDiagnostic, setEnabled, setLabel, setName, setReadonly, setVisible`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getDomainModel

    public org.eclipse.emf.ecore.EObject getDomainModel()

  Specified by:
    `getDomainModel` in interface `DynamicContainmentTree`
  Returns:
    the value of the 'Domain Model' reference.
  See Also:
    `DynamicContainmentTree.setDomainModel(EObject)`, `ModelPackage.getDynamicContainmentTree_DomainModel()`

### basicGetDomainModel

    public org.eclipse.emf.ecore.EObject basicGetDomainModel()

### setDomainModel

    public void setDomainModel(org.eclipse.emf.ecore.EObject newDomainModel)

  Specified by:
    `setDomainModel` in interface `DynamicContainmentTree`
  Parameters:
    `newDomainModel` - the new value of the 'Domain Model' reference.
  See Also:
    `DynamicContainmentTree.getDomainModel()`

### getChildReference

    public org.eclipse.emf.ecore.EReference getChildReference()

  Specified by:
    `getChildReference` in interface `DynamicContainmentTree`
  Returns:
    the value of the 'Child Reference' reference.
  See Also:
    `DynamicContainmentTree.setChildReference(EReference)`, `ModelPackage.getDynamicContainmentTree_ChildReference()`

### basicGetChildReference

    public org.eclipse.emf.ecore.EReference basicGetChildReference()

### setChildReference

    public void setChildReference(org.eclipse.emf.ecore.EReference newChildReference)

  Specified by:
    `setChildReference` in interface `DynamicContainmentTree`
  Parameters:
    `newChildReference` - the new value of the 'Child Reference' reference.
  See Also:
    `DynamicContainmentTree.getChildReference()`

### getPathToRoot

    public org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EReference> getPathToRoot()

  Specified by:
    `getPathToRoot` in interface `DynamicContainmentTree`
  Returns:
    the value of the 'Path To Root' reference list.
  See Also:
    `ModelPackage.getDynamicContainmentTree_PathToRoot()`

### getChildComposite

    public VContainedElement getChildComposite()

  Specified by:
    `getChildComposite` in interface `DynamicContainmentTree`
  Returns:
    the value of the 'Child Composite' containment reference.
  See Also:
    `DynamicContainmentTree.setChildComposite(VContainedElement)`, `ModelPackage.getDynamicContainmentTree_ChildComposite()`

### basicSetChildComposite

    public org.eclipse.emf.common.notify.NotificationChain basicSetChildComposite(VContainedElement newChildComposite,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setChildComposite

    public void setChildComposite(VContainedElement newChildComposite)

  Specified by:
    `setChildComposite` in interface `DynamicContainmentTree`
  Parameters:
    `newChildComposite` - the new value of the 'Child Composite' containment reference.
  See Also:
    `DynamicContainmentTree.getChildComposite()`

### getItems

    public org.eclipse.emf.common.util.EList<DynamicContainmentItem> getItems()

  Specified by:
    `getItems` in interface `DynamicContainmentTree`
  Returns:
    the value of the 'Items' containment reference list.
  See Also:
    `ModelPackage.getDynamicContainmentTree_Items()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `VCategoryImpl`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `VCategoryImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `VCategoryImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `VCategoryImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `VCategoryImpl`

### getLabelObject

    public org.eclipse.emf.ecore.EObject getLabelObject()

  Specified by:
    `getLabelObject` in interface `VCategorizableElement`
  Overrides:
    `getLabelObject` in class `VAbstractCategorizationImpl`
  Returns:
    the value of the 'Label Object' reference.
  See Also:
    `VCategorizableElement.getLabelObject()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.